Bug 257784 - security/py-fail2ban: Fix runtime errors with Python 3.10
Summary: security/py-fail2ban: Fix runtime errors with Python 3.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Neel Chauhan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-12 11:55 UTC by Yasuhiro Kimura
Modified: 2021-08-18 19:51 UTC (History)
3 users (show)

See Also:
theis: maintainer-feedback+
nc: merge-quarterly+


Attachments
Patch file (4.79 KB, patch)
2021-08-12 11:55 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 theis 2021-08-12 13:58:28 UTC
Thanks
Comment 2 Neel Chauhan freebsd_committer 2021-08-12 14:46:29 UTC
Committed!
Comment 3 commit-hook freebsd_committer 2021-08-12 14:47:21 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e8d866428c99ca6838a6a112cb16fd5df1e2cffc

commit e8d866428c99ca6838a6a112cb16fd5df1e2cffc
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-08-12 03:37:43 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-12 14:45:04 +0000

    security/py-fail2ban: Add upstream patches to fix runtime error with Python 3.10

    PR:             257784
    Approved by:    theis AT gmx DOT at (maintainer)

 security/py-fail2ban/Makefile                      |  2 +-
 .../files/patch-fail2ban_server_action.py (new)    | 30 ++++++++++++++++++++++
 .../files/patch-fail2ban_server_actions.py (new)   | 28 ++++++++++++++++++++
 .../files/patch-fail2ban_server_jails.py (new)     | 28 ++++++++++++++++++++
 4 files changed, 87 insertions(+), 1 deletion(-)
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-08-13 03:01:57 UTC
^Triage: Presumably quarterly is also affected, if so, please merge
Comment 5 Neel Chauhan freebsd_committer 2021-08-18 19:51:23 UTC
Done!
Comment 6 commit-hook freebsd_committer 2021-08-18 19:51:36 UTC
A commit in branch 2021Q3 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ae8a8ca2e4c6603927241d2a25fb1ef42f047992

commit ae8a8ca2e4c6603927241d2a25fb1ef42f047992
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-08-12 03:37:43 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-08-18 19:50:35 +0000

    security/py-fail2ban: Add upstream patches to fix runtime error with Python 3.10

    PR:             257784
    Approved by:    theis AT gmx DOT at (maintainer)

    (cherry picked from commit e8d866428c99ca6838a6a112cb16fd5df1e2cffc)

 security/py-fail2ban/Makefile                      |  2 +-
 .../files/patch-fail2ban_server_action.py (new)    | 30 ++++++++++++++++++++++
 .../files/patch-fail2ban_server_actions.py (new)   | 28 ++++++++++++++++++++
 .../files/patch-fail2ban_server_jails.py (new)     | 28 ++++++++++++++++++++
 4 files changed, 87 insertions(+), 1 deletion(-)